/*
 * Licensed Materials - Property of IBM
 * Restricted Materials of IBM
 *
 * com.ibm.rational.wvcm.stp.cc.CcDeliverOperation
 *
 * (C) Copyright IBM Corporation 2010, 2011.  All Rights Reserved.
 * Note to U.S. Government Users Restricted Rights:  Use, duplication or 
 * disclosure restricted by GSA ADP  Schedule Contract with IBM Corp.
 */
package com.ibm.rational.wvcm.stp.cc;

import javax.wvcm.WvcmException;

/**
 * <p>
 * This object represents a Deliver Operation that is currently
 * in progress on a server. It is used to obtain information about
 * the delivery that is currently in progress. Modeled after <code>cleartool
 * deliver -status</code> command. 
 * </p>
 * 
 * <p>
 * CcStream.getDeliverOperation returns a DeliverOperation object only when
 * a deliver is currently in progress.
 * </p>
 * 
 * @author jcibsen
 */
public interface CcDeliverOperation {
    
    /**
     * This method returns the target view of this active deliver operation.
     * @return target integration view
     * @throws WvcmException
     */
    public CcView getTargetView() throws WvcmException;
}
